Subject: Re: Broadcom BCM54610 Linux support

From: Florian Fainelli <[email-masked]>
Date: Tue, 07 Jul 2015 10:34:56 -0700

(adding Michael)

On 07/07/15 03:58, Markus Pargmann wrote:
> Hi,
> 
> I found the phy driver which supports broadcom BCM5461. But I am not
> sure if this driver does support BCM54610 in fiber mode as well? Or if
> there are any open datasheets which could be used to write a mainline
> driver for it. I would appretiate any information about this.

There are not publicly available datasheets as far as I can tell, the
current driver does not support anything but copper modes.

If you have reference code from somewhere else (e.g: bootloader or a
Broadcom SDK), I would be inclined to port it over the Linux PHY driver.
-- 
Florian